Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class LowresImageFilter

    java.lang.Object
      rabbit.filter.HTMLFilter
          rabbit.filter.LowresImageFilter

All Implemented Interfaces:
  HTMLFilterFactory

    public class LowresImageFilter

extends HTMLFilter

This filter removes the "`lowsrc=some_image.gif`" attributes from the <img> tags.

Field Summary

Fields inherited from class rabbit.filter.HTMLFilter
`con, request, response`

Constructor Summary
`LowresImageFilter()`
`LowresImageFilter(Connection con, HTTPHeader request, HTTPHeader response)` Create a new LowresImageFilter for the given request, response pair.

Method Summary
`void` | `filterHTML(HTMLBlock block)` remove the lowres tags.
`HTMLFilter` | `newFilter(Connection con, HTTPHeader request, HTTPHeader response)` Get a new HTMLFilter for the given request, response pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LowresImageFilter

    public LowresImageFilter()

### LowresImageFilter

    public LowresImageFilter(Connection con,
                             HTTPHeader request,
                             HTTPHeader response)

  Create a new LowresImageFilter for the given request, response pair.

  Parameters:
    `con` - the Connection handling the request.
    `request` - the actual request made.
    `response` - the actual response being sent.

Method Detail

### newFilter

    public HTMLFilter newFilter(Connection con,
                                HTTPHeader request,
                                HTTPHeader response)

  Description copied from class: `HTMLFilter`
  Get a new HTMLFilter for the given request, response pair.

  Specified by:
    `newFilter` in interface `HTMLFilterFactory`
  Specified by:
    `newFilter` in class `HTMLFilter`
  Parameters:
    `con` - the Connection handling the request.
    `request` - the actual request made.
    `response` - the actual response being sent.

### filterHTML

    public void filterHTML(HTMLBlock block)

  remove the lowres tags.

  Specified by:
    `filterHTML` in class `HTMLFilter`
  Parameters:
    `block` - the part of the html page we are filtering.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD